#
#	DEVELOPER'S VERSION
#
#	NOT SUITED/ALLOWED FOR PRODUCTION USE
#	ALL RIGHTS RESERVED
#

#
#	Initialize a clean new database with default values
#

#
#	System configuration
#

INSERT INTO config VALUES(0, 'hostname',     'localhost');
INSERT INTO config VALUES(0, 'mail_domain',  'localhost');
INSERT INTO config VALUES(0, 'mail_relay',   '');
INSERT INTO config VALUES(0, 'homepages',    '/user/$n');
INSERT INTO config VALUES(0, 'homepage_group', '5');
INSERT INTO config VALUES(0, 'email_ttl',    '60');
INSERT INTO config VALUES(0, 'queue_ttl',    '5');
INSERT INTO config VALUES(0, 'use_pop3',     '3');
INSERT INTO config VALUES(0, 'use_nntp',     '3');
INSERT INTO config VALUES(0, 'file_dir',     '/files');
INSERT INTO config VALUES(0, 'file_upload',  '/incoming');
INSERT INTO config VALUES(0, 'entry_group',  '4');
INSERT INTO config VALUES(0, 'db_version',   '1.04');

#
#	MIME type database
#

INSERT INTO mimetypes VALUES (0, 'rtf',   'application', 'rtf');
INSERT INTO mimetypes VALUES (0, 'ps',    'application', 'postscript');
INSERT INTO mimetypes VALUES (0, 'eps',   'application', 'postscript');
INSERT INTO mimetypes VALUES (0, 'pdf',   'application', 'pdf');
INSERT INTO mimetypes VALUES (0, 'bin',   'application', 'octet-stream');
INSERT INTO mimetypes VALUES (0, 'wav',   'audio',       'x-wav');
INSERT INTO mimetypes VALUES (0, 'au',    'audio',       'basic');
INSERT INTO mimetypes VALUES (0, 'tiff',  'image',       'tiff');
INSERT INTO mimetypes VALUES (0, 'tif',   'image',       'tiff');
INSERT INTO mimetypes VALUES (0, 'jpg',   'image',       'jpeg');
INSERT INTO mimetypes VALUES (0, 'jpeg',  'image',       'jpeg');
INSERT INTO mimetypes VALUES (0, 'gif',   'image',       'gif');
INSERT INTO mimetypes VALUES (0, 'txt',   'text',        'plain');
INSERT INTO mimetypes VALUES (0, 'htm',   'text',        'html');
INSERT INTO mimetypes VALUES (0, 'html',  'text',        'html');
INSERT INTO mimetypes VALUES (0, 'bbs',   'text',        'x-bbs-html');
INSERT INTO mimetypes VALUES (0, 'avi',   'video',       'x-msvideo');
INSERT INTO mimetypes VALUES (0, 'mov',   'video',       'quicktime');
INSERT INTO mimetypes VALUES (0, 'mpg',   'video',       'mpeg');
INSERT INTO mimetypes VALUES (0, 'mpeg',  'video',       'mpeg');

#
#	User database
#
INSERT INTO users (id, login, firstname, lastname, password, street, zip, town, country, phone, fax, email, remarks, homepage, access_date, create_date) VALUES (-1,'bbs1','System','Account 1','','','','','','','','','Needed by internal functions. Do not delete!',0,0,0);
INSERT INTO users (id, login, firstname, lastname, password, street, zip, town, country, phone, fax, email, remarks, homepage, access_date, create_date) VALUES (0,'bbs2','System','Account 2','','','','','','','','','Needed by internal functions. Do not delete!',0,0,0);
INSERT INTO users (id, login, firstname, lastname, password, street, zip, town, country, phone, fax, email, remarks, homepage, access_date, create_date) VALUES (1,'admin','System','Administrator','hawkeye','','','Restaurant','The end of the galaxy','','','','',1,867942047,0);
INSERT INTO users (id, login, firstname, lastname, password, street, zip, town, country, phone, fax, email, remarks, homepage, access_date, create_date) VALUES (2,'user','Test','User','hawkeye','','','Testtown','Testcountry','','','','',1,867941106,0);

#
#	Group definitions and memberships
#

INSERT INTO groups VALUES (1, 'Nobody');
INSERT INTO groups VALUES (2, 'System Administrators');
INSERT INTO groups VALUES (3, 'Registered Users');
INSERT INTO groups VALUES (4, 'New Users');
INSERT INTO groups VALUES (5, 'Homepage Owners');

INSERT INTO group_members VALUES (0, 2, 3);	# 'user' is a 'Registered User'
INSERT INTO group_members VALUES (0, 2, 5);	# and a 'Homepage Owner'
INSERT INTO group_members VALUES (0, 1, 2);	# 'admin' is both a 'Registered User'
INSERT INTO group_members VALUES (0, 1, 3);	# and a 'System Administrator'
INSERT INTO group_members VALUES (0, 1, 5);	# and a 'Homepage Owner'

#
#	Newsgroups
#

INSERT INTO newsgroups VALUES (0, 'local.events',   3, 3, 2, 30, 855253337);
INSERT INTO newsgroups VALUES (0, 'hawkeye.help',   3, 3, 2, 30, 855253337);
INSERT INTO newsgroups VALUES (0, 'hawkeye.admin',  2, 2, 2, 30, 855253337);

#
#	Access restrictions for special URL paths
#

INSERT INTO access_dir VALUES (0, 0, 2, 2, 1, '/');
INSERT INTO access_dir VALUES (0, 2, 2, 2, 1, '/admin');
INSERT INTO access_dir VALUES (0, 2, 2, 2, 1, '/status');
INSERT INTO access_dir VALUES (0, 3, 2, 2, 1, '/mail');
INSERT INTO access_dir VALUES (0, 3, 2, 2, 1, '/news');
INSERT INTO access_dir VALUES (0, 3, 2, 2, 1, '/chat');
INSERT INTO access_dir VALUES (0, 3, 3, 2, 1, '/incoming');
INSERT INTO access_dir VALUES (0, 3, 2, 2, 1, '/files');
INSERT INTO access_dir VALUES (0, 0, 2, 2, 0, '/cgi-bin');

#
#	Access restrictions for internal BBS functions
#	Note: BBS functions not listed here will not be
#	      accessible due to security reasons
#

INSERT INTO access_action VALUES (0,0,'adduser','/status/adduser_ok.htm','/status/adduser_fail.htm');
INSERT INTO access_action VALUES (0,0,'listhomes','','');
INSERT INTO access_action VALUES (0,3,'changeuser','/status/changeuser_ok.htm','/status/changeuser_fail.htm');
INSERT INTO access_action VALUES (0,3,'sysinfo','','');
INSERT INTO access_action VALUES (0,3,'userinfo','','');
INSERT INTO access_action VALUES (0,3,'whoison','','');
INSERT INTO access_action VALUES (0,2,'testcgi','','');
INSERT INTO access_action VALUES (0,3,'sendmail','/status/sendmail_ok.htm','/status/sendmail_fail.htm');
INSERT INTO access_action VALUES (0,3,'templatemail','/status/templatemail_ok.htm','');
INSERT INTO access_action VALUES (0,3,'delmail','/status/delmail_ok.htm','');
INSERT INTO access_action VALUES (0,3,'sendnews','/status/sendnews_ok.htm','/status/sendnews_fail.htm');
INSERT INTO access_action VALUES (0,3,'templatenews','/status/templatenews_ok.htm','');
INSERT INTO access_action VALUES (0,3,'showmail','/status/showmail_ok.htm','');
INSERT INTO access_action VALUES (0,3,'shownews','/status/shownews_ok.htm','');
INSERT INTO access_action VALUES (0,3,'delnews','/status/delnews_ok.htm','');
INSERT INTO access_action VALUES (0,3,'listmail','','');
INSERT INTO access_action VALUES (0,3,'listnews','/status/listnews_ok.htm','/status/listnews_fail.htm');
INSERT INTO access_action VALUES (0,3,'listgroups','','');
INSERT INTO access_action VALUES (0,3,'showchat','','');
INSERT INTO access_action VALUES (0,3,'writechat','/status/writechat_ok.htm','');
INSERT INTO access_action VALUES (0,3,'addfile','/status/addfile_ok.htm','/status/addfile_fail.htm');
INSERT INTO access_action VALUES (0,3,'findfile','/status/findfile_ok.htm','/status/findfile_fail.htm');
INSERT INTO access_action VALUES (0,3,'editfile','/status/editfile_ok.htm','');
INSERT INTO access_action VALUES (0,3,'updatefile','/status/updatefile_ok.htm','');
INSERT INTO access_action VALUES (0,3,'delfile','/status/delfile_ok.htm','');
INSERT INTO access_action VALUES (0,2,'showdb','/status/showdb_ok.htm','');
INSERT INTO access_action VALUES (0,2,'editdb','/status/editdb_ok.htm','');
INSERT INTO access_action VALUES (0,2,'updatedb','/status/updatedb_ok.htm','');
INSERT INTO access_action VALUES (0,2,'insertdb','/status/insertdb_ok.htm','');
INSERT INTO access_action VALUES (0,2,'deletedb','/status/deletedb_ok.htm','/status/deletedb_fail.htm');
INSERT INTO access_action VALUES (0,2,'sweepdb','/status/sweepdb_ok.htm','');
#
#	Old functions...
#
#	INSERT INTO access_action VALUES (0, 2, 'execsql', '', '');
#	INSERT INTO access_action VALUES (0, 2, 'sqldisplay', '', '');
#	INSERT INTO access_action VALUES (0, 2, 'sqlinsert', '', '');
#	INSERT INTO access_action VALUES (0, 2, 'sqldelete', '', '');
#	INSERT INTO access_action VALUES (0, 2, 'sqlupdate', '', '');
#	INSERT INTO access_action VALUES (0, 2, 'insertform', '', '');
#	INSERT INTO access_action VALUES (0, 2, 'updateform', '', '');
#	INSERT INTO access_action VALUES (0, 2, 'deleteform', '', '');

#
#	Some chat groups...
#

INSERT INTO chatboards VALUES (0, 'chat.general', 3, 3, 5);
INSERT INTO chatboards VALUES (0, 'chat.admin',   2, 2, 5);

#
#	File areas...
#

INSERT INTO files VALUES (0, 1, 1, 'test.txt', 'misc', 'Hawkeye File Area Test File', 'This is a simple test file to demonstrate how\r\nHawkeye''s file areas work. You can either view\r\nthe file directly by clicking the HTTP link, or\r\ndownload it by pointing your favourite FTP \r\nclient at the location given below.\r\n', 865789432);

#
#	info@hostname goes to System Administrator
#

INSERT INTO mail_alias VALUES (0, 'info@localhost', 'admin');
